diff --git a/tests/9137.phpt b/tests/9137.phpt
index ba54c05..2e4c0a5 100644
--- a/tests/9137.phpt
+++ b/tests/9137.phpt
@@ -18,7 +18,8 @@ for ($i = 0; $i < count($addresses); $i++) {
     $address = "\"" . addslashes($addresses[$i]['name']) . "\" ".
         "<".$addresses[$i]['email'].">";
 
-    $parsedAddresses = Mail_RFC822::parseAddressList($address);
+    $parser = new Mail_RFC822();
+    $parsedAddresses = $parser->parseAddressList($address);
     if (is_a($parsedAddresses, 'PEAR_Error')) {
         echo $address." :: Failed to validate\n";
     } else {
diff --git a/tests/9137_2.phpt b/tests/9137_2.phpt
index cc9dcbc..9c3c32d 100644
--- a/tests/9137_2.phpt
+++ b/tests/9137_2.phpt
@@ -18,7 +18,8 @@ $addresses = array(
 for ($i = 0; $i < count($addresses); $i++) {
     // construct the address
     $address = $addresses[$i]['raw'];
-    $parsedAddresses = Mail_RFC822::parseAddressList($address);
+    $parser = new Mail_RFC822();
+    $parsedAddresses = $parser->parseAddressList($address);
     if (PEAR::isError($parsedAddresses)) {
         echo $address." :: Failed to validate\n";
     } else {
diff --git a/tests/bug17178.phpt b/tests/bug17178.phpt
index 4572dda..425f329 100644
--- a/tests/bug17178.phpt
+++ b/tests/bug17178.phpt
@@ -4,7 +4,8 @@ Mail_RFC822::parseAddressList does not accept RFC-valid group syntax
 <?php
 require "Mail/RFC822.php";
 
-var_dump(Mail_RFC822::parseAddressList("empty-group:;","invalid",false,false)); 
+$parser = new Mail_RFC822();
+var_dump($parser->parseAddressList("empty-group:;","invalid",false,false));
 
 --EXPECT--
 array(0) {
diff --git a/tests/bug17317.phpt b/tests/bug17317.phpt
index 331e803..045a939 100644
--- a/tests/bug17317.phpt
+++ b/tests/bug17317.phpt
@@ -4,9 +4,10 @@ Mail_RFC822::parseAddressList invalid periods in mail address
 <?php
 require "Mail/RFC822.php";
 
-$result[] = Mail_RFC822::parseAddressList('.name@example.com');
-$result[] = Mail_RFC822::parseAddressList('name.@example.com');
-$result[] = Mail_RFC822::parseAddressList('name..name@example.com');
+$parser = new Mail_RFC822();
+$result[] = $parser->parseAddressList('.name@example.com');
+$result[] = $parser->parseAddressList('name.@example.com');
+$result[] = $parser->parseAddressList('name..name@example.com');
 
 foreach ($result as $r) {
     if (is_a($r, 'PEAR_Error')) {
diff --git a/tests/validateQuotedString.phpt b/tests/validateQuotedString.phpt
index 8b892bd..e0adb79 100644
--- a/tests/validateQuotedString.phpt
+++ b/tests/validateQuotedString.phpt
@@ -5,7 +5,8 @@ Mail_RFC822::parseAddressList simple tests
 require_once 'Mail/RFC822.php';
 $address_string = '"Joe Doe \(from Somewhere\)" <doe@example.com>, postmaster@example.com, root';
 
-$address_array = Mail_RFC822::parseAddressList($address_string, "example.com");
+$parser = new Mail_RFC822();
+$address_array = $parser->parseAddressList($address_string, "example.com");
 
 foreach ($address_array as $val) {
     echo "mailbox : " . $val->mailbox . "\n";
